IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Booking details

Booking details as filled in by guests in the booking form

The booking detail object

Attributes

iduuid

Unique identifier

booking_iduuid | null
bookings.id

Identifier of the related booking

option_iduuid | null
services.id

Identifier of the selected option

service_iduuid | null
services.id

Identifier of the related service

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

attachmenttext | null

Attachmnt URL

descriptionMultiLanguageString

Localized description of the form field

nameMultiLanguageString

Localized name of the form field

valuetext | null

Value filled in by the guest

The booking detail object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "booking_id": "00000000-0000-0000-0000-000000000000",
  "option_id": "00000000-0000-0000-0000-000000000000",
  "service_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:27:42.573Z",
  "updated_at": "2026-03-12T05:27:42.573Z",
  "attachment": "",
  "description": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "name": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "value": ""
}

List booking details

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid | null>
bookings.id

Identifier of the related booking

option_idFilter<uuid | null>
services.id

Identifier of the selected option

service_idFilter<uuid | null>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

attachmentFilter<text | null>

Attachmnt URL

descriptionFilter<MultiLanguageString>

Localized description of the form field

nameFilter<MultiLanguageString>

Localized name of the form field

valueFilter<text | null>

Value filled in by the guest

Responses

200

A list of booking details with the selected columns

206

Partial Content

GET /booking_details
curl -X GET "https://api.bookingmood.com/v1/booking_details?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create booking details

Body

Partial<BookingDetail> | Array<Partial<BookingDetail>>

Responses

201

The newly created booking details with the selected columns

POST /booking_details
curl -X POST "https://api.bookingmood.com/v1/booking_details" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete booking details

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid | null>
bookings.id

Identifier of the related booking

option_idFilter<uuid | null>
services.id

Identifier of the selected option

service_idFilter<uuid | null>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

attachmentFilter<text | null>

Attachmnt URL

descriptionFilter<MultiLanguageString>

Localized description of the form field

nameFilter<MultiLanguageString>

Localized name of the form field

valueFilter<text | null>

Value filled in by the guest

Responses

204

The deleted booking details with the selected columns

DELETE /booking_details
curl -X DELETE "https://api.bookingmood.com/v1/booking_details" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update booking details

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid | null>
bookings.id

Identifier of the related booking

option_idFilter<uuid | null>
services.id

Identifier of the selected option

service_idFilter<uuid | null>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

attachmentFilter<text | null>

Attachmnt URL

descriptionFilter<MultiLanguageString>

Localized description of the form field

nameFilter<MultiLanguageString>

Localized name of the form field

valueFilter<text | null>

Value filled in by the guest

Body

Partial<BookingDetail>

Responses

204

The updated booking details with the selected columns

PATCH /booking_details
curl -X PATCH "https://api.bookingmood.com/v1/booking_details" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'